> For the complete documentation index, see [llms.txt](https://docs.pixiebrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixiebrix.com/enterprise-it-setup/browser-extension-installation-and-configuration/browser-extension-configuration-policy/managed-storage-schema.md).

# Managed Storage Schema

```json
{
  "type": "object",
  "properties": {
    "managedOrganizationId": {
      "type": "string",
      "description": "PixieBrix organization ID the extension should link to"
    },
    "enforceAuthentication": {
      "type": "boolean",
      "description": "Enforce PixieBrix authentication on specified URLs",
      "default": false
    },
    "disableLoginTab": {
      "type": "boolean",
      "description": "Disable opening a login tab on install and heartbeat",
      "default": false
    },
    "partnerId": {
      "type": "string",
      "description": "PixieBrix partner ID"
    },
    "ssoUrl": {
      "type": "string",
      "format": "uri",
      "description": "URL to perform single sign-on, including scheme"
    },
    "controlRoomUrl": {
      "type": "string",
      "format": "uri",
      "description": "Automation Anywhere Control Room URL, including scheme"
    },
    "campaignIds": {
      "type": "array",
      "description": "Campaign IDs the extension is associated with",
      "items": {
        "type": "string"
      }
    },
    "deploymentKey": {
      "type": "string",
      "description": "Shared deployment key for receiving deployments without user-authentication"
    },
    "disableBrowserWarning": {
      "type": "boolean",
      "description": "Disable the browser warning for non-Chrome browsers, e.g., Microsoft Edge",
      "default": false
    },
    "showSidebarLogo": {
      "type": "boolean",
      "description": "Controls the visibility the PixieBrix sidebar logo. Overrides the team theme, if one exists."
    },
    "disableExpensiveChecks": {
      "type": "boolean",
      "description": "Disable expensive brick input/output validation. For use with low-CPU devices.",
      "default": false
    }
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pixiebrix.com/enterprise-it-setup/browser-extension-installation-and-configuration/browser-extension-configuration-policy/managed-storage-schema.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
